commit:     167198e5d3506c980b9d6e3e472e066192196d07
Author:     Francesco Riosa <vivo75 <AT> gmail <DOT> com>
AuthorDate: Wed Apr 24 07:12:02 2019 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Wed May 15 12:24:17 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=167198e5

media-gfx/rawtherapee: version bump to 5.6

also added dependancy on librsvg >= 2.40, see
https://rawtherapee.com/blog/rawtherapee-5.6-released

Closes: https://bugs.gentoo.org/684154

Signed-off-by: Francesco Riosa <vivo75 <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/11809
Signed-off-by: Andreas Sturmlechner <asturm <AT> gentoo.org>

 media-gfx/rawtherapee/Manifest               |  1 +
 media-gfx/rawtherapee/rawtherapee-5.6.ebuild | 73 ++++++++++++++++++++++++++++
 2 files changed, 74 insertions(+)

diff --git a/media-gfx/rawtherapee/Manifest b/media-gfx/rawtherapee/Manifest
index 6d394054842..f2dc3083cd0 100644
--- a/media-gfx/rawtherapee/Manifest
+++ b/media-gfx/rawtherapee/Manifest
@@ -1,2 +1,3 @@
 DIST rawtherapee-5.4.tar.xz 11991988 BLAKE2B 
625b4e04b82f34d994e0f23f6aea6af4b0a2af2b6a325e916e7b51f8a83b568b65bef47a489be547d1e2437f9637b2ecea0d69d95bfabd53b61b11b46d9e36bc
 SHA512 
6dc9a82202b80675f90eeb8f08c4484700561861f296546ae9425c6e9603f6e84bdc0859896c333d2367cc0b371c6bb6ab2fe36ff3d6f56419cbf18a58d8ef89
 DIST rawtherapee-5.5.tar.xz 12163556 BLAKE2B 
6251655b5bcc8b805eda584e386771b14dec15a2d8a96518bdb79d7e31354c78eb263f6964d7f6ffaeb35a127d3f775c9c39dfebf072a0bfc14d284358acd03c
 SHA512 
fcb546ad6e420200a821c89555ec259140995a3bc69429d2ecb648632c02e10ffceebbd7296e879c93b53ad8efa45ea71336d936cd90cead723e70e8932a413a
+DIST rawtherapee-5.6.tar.xz 12083264 BLAKE2B 
a0eb09e98e1041b393ad3aa671641a2a4855379cef6245ca3cca2588ff5f50fedf8becd88bad1ab70f63dfb575f5f22c141040defa10b47268947415999d8e79
 SHA512 
2c751c7631ea2ef65c334fa0baab16d4c3161fae66487870c476f07f1ea3604a5e28a251fd98d9688cafc088302af7aa6e28e9b27a37f916715708ed5e731f0f

diff --git a/media-gfx/rawtherapee/rawtherapee-5.6.ebuild 
b/media-gfx/rawtherapee/rawtherapee-5.6.ebuild
new file mode 100644
index 00000000000..328a0379142
--- /dev/null
+++ b/media-gfx/rawtherapee/rawtherapee-5.6.ebuild
@@ -0,0 +1,73 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit cmake-utils flag-o-matic gnome2-utils toolchain-funcs xdg-utils
+
+MY_P=${P/_rc/-rc}
+DESCRIPTION="A powerful cross-platform raw image processing program"
+HOMEPAGE="https://www.rawtherapee.com/";
+SRC_URI="https://rawtherapee.com/shared/source/${MY_P}.tar.xz";
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="openmp"
+
+RDEPEND="
+       dev-libs/expat
+       dev-libs/libsigc++:2
+       media-libs/lcms:2
+       media-libs/lensfun
+       media-libs/libcanberra[gtk3]
+       media-libs/libiptcdata
+       media-libs/libpng:0
+       media-libs/tiff:0
+       sci-libs/fftw:3.0
+       sys-libs/zlib
+       virtual/jpeg:0
+       x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+       app-arch/xz-utils
+       dev-cpp/gtkmm:3.0
+       gnome-base/librsvg
+       virtual/pkgconfig"
+
+S="${WORKDIR}/${MY_P}"
+
+pkg_pretend() {
+       if use openmp ; then
+               tc-has-openmp || die "Please switch to an openmp compatible 
compiler"
+       fi
+}
+
+src_configure() {
+       # upstream tested that "fast-math" give wrong results, so filter it
+       # https://bugs.gentoo.org/show_bug.cgi?id=606896#c2
+       filter-flags -ffast-math
+       # -Ofast enable "fast-math" both in gcc and clang
+       replace-flags -Ofast -O3
+       # In case we add an ebuild for klt we can (i)use that one,
+       # see http://cecas.clemson.edu/~stb/klt/
+       local mycmakeargs=(
+               -DOPTION_OMP=$(usex openmp)
+               -DDOCDIR=/usr/share/doc/${PF}
+               -DCREDITSDIR=/usr/share/${PN}
+               -DLICENCEDIR=/usr/share/${PN}
+               -DCACHE_NAME_SUFFIX=""
+               -DWITH_SYSTEM_KLT="off"
+       )
+       cmake-utils_src_configure
+}
+
+pkg_postinst() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}
+
+pkg_postrm() {
+       gnome2_icon_cache_update
+       xdg_desktop_database_update
+}

Reply via email to